Skip to main content
GET
/
workspaces
/
{workspacePublicId}
/
roles
Get workspace roles
curl --request GET \
  --url https://kan.bn/api/v1/workspaces/{workspacePublicId}/roles \
  --header 'Authorization: Bearer <token>'
{
  "roles": [
    {
      "publicId": "<string>",
      "name": "<string>",
      "description": "<string>",
      "hierarchyLevel": 123,
      "isSystem": true
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://docs.kan.bn/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

workspacePublicId
string
required
Minimum string length: 12

Response

Successful response

roles
object[]
required